LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 09-22-2017, 02:35 AM   #2851
gmgf
Senior Member
 
Registered: Jun 2012
Location: Bergerac, France
Distribution: Slackware
Posts: 1,137

Rep: Reputation: 393Reputation: 393Reputation: 393Reputation: 393

util-linux-2.30.2:

https://www.kernel.org/pub/linux/uti...2-ReleaseNotes
https://www.kernel.org/pub/linux/uti...-2.30.2.tar.xz
 
1 members found this post helpful.
Old 09-22-2017, 08:35 AM   #2852
sbolokanov
Member
 
Registered: Feb 2013
Location: абвг
Distribution: Slackware
Posts: 91

Rep: Reputation: 21
Can this be applied to glibc?
https://sourceware.org/git/gitweb.cg...d6a0632ce263f4
https://github.com/FeralInteractive/...ripts/issues/3

Long story short, something is changed at glibc and breaks Feral games from detecting lib path correctly.
For longer story go visit the links.
 
1 members found this post helpful.
Old 09-22-2017, 09:08 PM   #2853
Xsane
Member
 
Registered: Jan 2014
Posts: 122

Rep: Reputation: 89
Quote:
Originally Posted by atelszewski View Post
Hi,

I noticed that my system (14.2) would very often hang for a couple of seconds when reading or writing RTC, when booting or shutting down.

It turned out that, if I set RTC wakeup alarm, then that causes hangs on /sbin/hwclock.

I modified rc.S and rc.6 as workaround.
I don't know if it can be helpful to broader audience.

Anyways, here comes the code (bold is mine, the same code for both rc.S and rc.6):
Code:
# hwclock will often hang for a few seconds when reading or writing
# the RTC while wakealarm <> 0. Clear wakealarm temporarily.
if [ -w /sys/class/rtc/rtc0/wakealarm ]; then
  WAKEALARM=$(cat /sys/class/rtc/rtc0/wakealarm)
  if [ -n "$WAKEALARM" ]; then
    echo "Clearing wakealarm:  echo 0 > /sys/class/rtc/rtc0/wakealarm"
    echo 0 > /sys/class/rtc/rtc0/wakealarm
  fi
fi

[..]
if [ -x /sbin/hwclock ]; then
  [..]
fi

# Restore wakealarm.
if [ -w /sys/class/rtc/rtc0/wakealarm ]; then
  if [ -n "$WAKEALARM" ]; then
    echo "Restoring wakealarm:  echo $WAKEALARM > /sys/class/rtc/rtc0/wakealarm"
    echo $WAKEALARM > /sys/class/rtc/rtc0/wakealarm
  fi
  unset WAKEALARM
fi

--
Best regards,
Andrzej Telszewski
This is a known RTC driver timer queue issue.

There is a patch, but I do not know when Alexandre will submit it to Linus.
 
1 members found this post helpful.
Old 09-22-2017, 09:09 PM   #2854
Xsane
Member
 
Registered: Jan 2014
Posts: 122

Rep: Reputation: 89
My wishlist for the next release would be for git send-email
to work securely.

Code:
git help send-email

Note: the following perl modules are required Net::SMTP::SSL,
      MIME::Base64 and Authen::SASL
git send-email is very convenient for sending patches for review.

Yes, I can install the required perl modules myself, but it would be
nice to have a fully functional git out of the box.
 
3 members found this post helpful.
Old 09-22-2017, 09:20 PM   #2855
atelszewski
Member
 
Registered: Aug 2007
Distribution: Slackware
Posts: 798

Rep: Reputation: Disabled
Hi,

Quote:
Originally Posted by Xsane View Post
This is a known RTC driver timer queue issue.

There is a patch, but I do not know when Alexandre will submit it to Linus.
Can you post link to the patch?
Thanks!

--
Best regards,
Andrzej Telszewski
 
Old 09-22-2017, 10:59 PM   #2856
dugan
LQ Guru
 
Registered: Nov 2003
Location: Canada
Distribution: Slackware
Posts: 7,708

Rep: Reputation: 2986Reputation: 2986Reputation: 2986Reputation: 2986Reputation: 2986Reputation: 2986Reputation: 2986Reputation: 2986Reputation: 2986Reputation: 2986Reputation: 2986
SDL2 2.0.6 please.
 
Old 09-23-2017, 04:34 AM   #2857
RadicalDreamer
Member
 
Registered: Jul 2016
Location: USA
Distribution: Slackware64-Current
Posts: 513

Rep: Reputation: 230Reputation: 230Reputation: 230
Thanks for adding python3!
 
3 members found this post helpful.
Old 09-23-2017, 04:51 AM   #2858
Didier Spaier
LQ Addict
 
Registered: Nov 2008
Location: Paris, France
Distribution: Slint64-14.2 on Lenovo Thinkpad W520
Posts: 7,867

Rep: Reputation: 2780Reputation: 2780Reputation: 2780Reputation: 2780Reputation: 2780Reputation: 2780Reputation: 2780Reputation: 2780Reputation: 2780Reputation: 2780Reputation: 2780
Quote:
Originally Posted by RadicalDreamer View Post
Thanks for adding python3!
Yes, thanks!
 
2 members found this post helpful.
Old 09-23-2017, 10:29 AM   #2859
dugan
LQ Guru
 
Registered: Nov 2003
Location: Canada
Distribution: Slackware
Posts: 7,708

Rep: Reputation: 2986Reputation: 2986Reputation: 2986Reputation: 2986Reputation: 2986Reputation: 2986Reputation: 2986Reputation: 2986Reputation: 2986Reputation: 2986Reputation: 2986
I like how we got Rust and Python 3 in the same month.
 
3 members found this post helpful.
Old 09-23-2017, 11:21 AM   #2860
gmgf
Senior Member
 
Registered: Jun 2012
Location: Bergerac, France
Distribution: Slackware
Posts: 1,137

Rep: Reputation: 393Reputation: 393Reputation: 393Reputation: 393
Big updates, thanks.

help2man-1.47.5:

https://fossies.org/linux/help2man/debian/changelog
https://ftp.gnu.org/gnu/help2man/help2man-1.47.5.tar.xz

Last edited by gmgf; 09-23-2017 at 11:23 AM.
 
1 members found this post helpful.
Old 09-23-2017, 02:57 PM   #2861
USUARIONUEVO
Member
 
Registered: Apr 2015
Posts: 682

Rep: Reputation: 207Reputation: 207Reputation: 207
thanks for add python3.
 
1 members found this post helpful.
Old 09-23-2017, 09:51 PM   #2862
ivandi
Member
 
Registered: Jul 2009
Location: Québec, Canada
Distribution: SlackMATE on top of Slackware64-14.2
Posts: 400

Rep: Reputation: 515Reputation: 515Reputation: 515Reputation: 515Reputation: 515Reputation: 515
Samba build fails after the latest updates.
Looks like a known issue that has been fixed in Debian.

https://bugzilla.redhat.com/show_bug.cgi?id=1491307
https://bugs.debian.org/cgi-bin/bugr...cgi?bug=750593
https://anonscm.debian.org/cgit/coll...ng_subst.patch

It builds fine with patched lib.xsl


Cheers
 
3 members found this post helpful.
Old 09-24-2017, 09:08 AM   #2863
nobodino
Member
 
Registered: Jul 2010
Location: in France
Distribution: slackware, slackware from scratch, LFS, linux Mint, Niresh (MacOS)...
Posts: 189

Rep: Reputation: 146Reputation: 146
here is a small 'database' of 'possible updates' for slackware.
Consider it as a collection, just a reminder:
------------------
a series:
-efibootmgr: 15 (+efivar: 31)
-findutils: 4.6.0
-hwdata: 0.330
-kbd: 1.15.5 or 2.0.4
-lvm2 : 2.02.174
-mcelog: 153
-mkinitrd: (busybox-1.27.2)
-mt-st: 1.3
-os-prober: 1.76
-quota: 4.04
-reiserfsprogs: 3.6.27
-shadow: 4.5
-syslinux: 5.10 or 6.03
-udisk2: 2.7.3
-upower: 0.99.6
------------------------
ap series:
-cups-filters: 1.17.7
-lxc: 2.1.0
-qpdf: 7.0.0
-sysstat: 11.4.6
-vim: 8.0.1056
-------------------------
d series:
-clips: 2.49.60
-distcc: 3.2rc1
-doxygen: 1.8.13 (+icoutils)
-git: 2.14.2
-guile: 2.2.2
-help2man: 1.47.5
-indent: 2.2.11
-opencl-headers: 2.2
-perl: 5.24.3/5.26.1
-p2c: 1.22
-ruby: 2.4.2
-------------------------
l series:
-Consolekit2: 1.0.2
-LibRaw: 0.18.5
-SDL2: 2.0.6
-at-spi2-atk: 2.26.0
-at-spi2-core: 2.26.0
-atk: 2.26.0
-babl: 0.1.30
-eigen3: 3.2.10
-fuse: 3.2.0
-gc: 7.6.0
-gegl: 0.3.20
-glib2: 2.54.0
-glib-networking: 2.54.0
-glibmm: 2.54.1
-gobject-introspection: 1.54.0
-grantlee: 5.1.0
-gst-plugins-base: 1.12.3
-gst-plugins-good: 1.12.3
-gst-plugins-libav: 1.12.3
-gstreamer: 1.12.3
-gtkmm: 3.22.2
-hicolor-icon-theme: 0.16
-hunspell: 1.6.2
-icu4c: 59.1
-imagemagick: 6.9.9_9
-iso-codes: 3.75
-jemalloc: 5.0.1
-libclc: 20170816
-libexif: 0.6.21
-libkarma: 0.1.2
-libmowgli: 2.1.3
-libsigc++: 2.99.3
-libsoup: 2.60.0
-media-player-info: 22
-mozilla-nss: 3.33
-netpbm: 10.76.00
-openjpeg: 2.2.0
-polkit-qt: 0.112
-poppler: 0.59.0
-pulseaudio: 11.1
-pygobject3: 3.26.0
-python-pillow: 4.2.0
-qca: 2.1.3
-sshfs: 2.10
-speexdsp: 1.2.0
-urwid: 1.3.1
-virtuoso-ose: 7.2.4.2
-xapian-core-1.4.4
-------------------------
n series:
-NetworkManager: 1.9
-autofs: 5.1.3
-cifs-utils: 6.7
-ebtables: 2.0.10
-nfs-utils: 2.1.1
-gnupg2: 2.2.1
-lftp: 4.8.1
-libmbim: 1.18.0
-mutt: 1.9.1
-openldap-client: 2.4.45
-p11-kit: 0.23.8
-samba: 4.7.0
-slrn: 1.0.3a
-sshfs: 2.10 or 3.3.0
-traceroute: 2.1.0
-------------------------
x series:
-fontconfig: 2.12.6
-libva: 1.8.3
-libva-intel-driver: 1.8.3
-libwacom: 0.26
-------------------------
xap series:
-audacious: 3.9
-audacious-plugins: 3.9
-gnuplot: 5.2.0
-xpaint: 2.10.1
-xpdf: 4.0.0
-------------------------
xfce series:
-xfce4-clipman-plugin: 1.4.2
-xfce4-power-manager: 1.6.0
-------------------------
 
6 members found this post helpful.
Old 09-25-2017, 07:24 AM   #2864
gmgf
Senior Member
 
Registered: Jun 2012
Location: Bergerac, France
Distribution: Slackware
Posts: 1,137

Rep: Reputation: 393Reputation: 393Reputation: 393Reputation: 393
qpdf-7.0.0:
(need rebuild cups-filters)

Already posted,but this version contain many CVE fix , bug fix and enhancement, i think this version is better also for the recent cups-filters version

CVE-2017-11624, CVE-2017-11625,
CVE-2017-11626, and CVE-2017-11627
CVE-2017-9208
CVE-2017-9209
CVE-2017-9210
https://github.com/qpdf/qpdf/blob/master/ChangeLog
https://github.com/qpdf/qpdf/archive...f-7.0.0.tar.gz
http://sourceforge.mirrorservice.org...f-7.0.0.tar.gz

Last edited by gmgf; 09-25-2017 at 08:13 AM.
 
Old 09-25-2017, 08:20 AM   #2865
gmgf
Senior Member
 
Registered: Jun 2012
Location: Bergerac, France
Distribution: Slackware
Posts: 1,137

Rep: Reputation: 393Reputation: 393Reputation: 393Reputation: 393
Quote:
Originally Posted by nobodino View Post
here is a small 'database' of 'possible updates' for slackware.
Consider it as a collection, just a reminder:
------------------
a series:
-efibootmgr: 15 (+efivar: 31)
-findutils: 4.6.0
-hwdata: 0.330
-kbd: 1.15.5 or 2.0.4
-lvm2 : 2.02.174
-mcelog: 153
-mkinitrd: (busybox-1.27.2)
-mt-st: 1.3
-os-prober: 1.76
-quota: 4.04
-reiserfsprogs: 3.6.27
-shadow: 4.5
-syslinux: 5.10 or 6.03
-udisk2: 2.7.3
-upower: 0.99.6
------------------------
ap series:
-cups-filters: 1.17.7
-lxc: 2.1.0
-qpdf: 7.0.0
-sysstat: 11.4.6
-vim: 8.0.1056
-------------------------
d series:
-clips: 2.49.60
-distcc: 3.2rc1
-doxygen: 1.8.13 (+icoutils)
-git: 2.14.2
-guile: 2.2.2
-help2man: 1.47.5
-indent: 2.2.11
-opencl-headers: 2.2
-perl: 5.24.3/5.26.1
-p2c: 1.22
-ruby: 2.4.2
-------------------------
l series:
-Consolekit2: 1.0.2
-LibRaw: 0.18.5
-SDL2: 2.0.6
-at-spi2-atk: 2.26.0
-at-spi2-core: 2.26.0
-atk: 2.26.0
-babl: 0.1.30
-eigen3: 3.2.10
-fuse: 3.2.0
-gc: 7.6.0
-gegl: 0.3.20
-glib2: 2.54.0
-glib-networking: 2.54.0
-glibmm: 2.54.1
-gobject-introspection: 1.54.0
-grantlee: 5.1.0
-gst-plugins-base: 1.12.3
-gst-plugins-good: 1.12.3
-gst-plugins-libav: 1.12.3
-gstreamer: 1.12.3
-gtkmm: 3.22.2
-hicolor-icon-theme: 0.16
-hunspell: 1.6.2
-icu4c: 59.1
-imagemagick: 6.9.9_9
-iso-codes: 3.75
-jemalloc: 5.0.1
-libclc: 20170816
-libexif: 0.6.21
-libkarma: 0.1.2
-libmowgli: 2.1.3
-libsigc++: 2.99.3
-libsoup: 2.60.0
-media-player-info: 22
-mozilla-nss: 3.33
-netpbm: 10.76.00
-openjpeg: 2.2.0
-polkit-qt: 0.112
-poppler: 0.59.0
-pulseaudio: 11.1
-pygobject3: 3.26.0
-python-pillow: 4.2.0
-qca: 2.1.3
-sshfs: 2.10
-speexdsp: 1.2.0
-urwid: 1.3.1
-virtuoso-ose: 7.2.4.2
-xapian-core-1.4.4
-------------------------
n series:
-NetworkManager: 1.9
-autofs: 5.1.3
-cifs-utils: 6.7
-ebtables: 2.0.10
-nfs-utils: 2.1.1
-gnupg2: 2.2.1
-lftp: 4.8.1
-libmbim: 1.18.0
-mutt: 1.9.1
-openldap-client: 2.4.45
-p11-kit: 0.23.8
-samba: 4.7.0
-slrn: 1.0.3a
-sshfs: 2.10 or 3.3.0
-traceroute: 2.1.0
-------------------------
x series:
-fontconfig: 2.12.6
-libva: 1.8.3
-libva-intel-driver: 1.8.3
-libwacom: 0.26
-------------------------
xap series:
-audacious: 3.9
-audacious-plugins: 3.9
-gnuplot: 5.2.0
-xpaint: 2.10.1
-xpdf: 4.0.0
-------------------------
xfce series:
-xfce4-clipman-plugin: 1.4.2
-xfce4-power-manager: 1.6.0
-------------------------
NetworkManager: 1.9 is dev version

On current now:

Sun Sep 24 19:03:35 UTC 2017
a/os-prober-1.76-x86_64-1.txz: Upgraded.
ap/cups-filters-1.17.7-x86_64-1.txz: Upgraded.
d/help2man-1.47.5-x86_64-1.txz: Upgraded.
l/SDL2-2.0.6-x86_64-1.txz: Upgraded.
l/imagemagick-6.9.9_15-x86_64-1.txz: Upgraded.
l/pulseaudio-11.1-x86_64-1.txz: Upgraded.
x/fontconfig-2.12.6-x86_64-1.txz: Upgraded.
xap/audacious-3.9-x86_64-1.txz: Upgraded.
xap/audacious-plugins-3.9-x86_64-1.txz: Upgraded.

Last edited by gmgf; 09-25-2017 at 08:32 AM.
 
1 members found this post helpful.
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] how to show the current time at the top in the current shell Always ? rohitchauhan Linux - General 5 04-09-2014 04:05 PM
Slackware ARM (current) epic mistake: the current Android kernels are kicked out! Darth Vader Slackware 16 08-25-2013 05:36 PM
[SOLVED] setup fails on most current Slackware-current March 26, 2012 AlleyTrotter Slackware 15 04-09-2012 07:05 AM
Observation of Feb -current vs March -current Hangaber Slackware 14 03-12-2010 09:26 AM
cvs diff the most current and second last current version powah Linux - Software 1 03-30-2006 02:02 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 02:03 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration